.. AUTO-GENERATED FILE. DO NOT EDIT. store-customers-post-one ======================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-post-28`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/store-customers-post-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-post-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-post-28`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-post-28 Module: jef-store Action: post Method: POST Invocation Mode: ASYNC Resource Path: /store-customers-post-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-customers Payload Example: - pk: CUS-1001-0001 - gsi_1_pk: 1001 - gsi_1_sk: Juan Dela Cruz - entity_number: 1001 - customer_number: CUS-1001-0001 - customer_name: Juan Dela Cruz - phone: +63 917 100 0001 - email: bacolod-main-barista-grocery@example.com - address_label: Bacolod City, Negros Occidental - address_line_1: Bacolod City, Negros Occidental - barangay: Pandan Coconut Sea Salt Latte barangay 1001-0001 - city: Pandan Coconut Sea Salt Latte city 1001-0001 - province: Pandan Coconut Sea Salt Latte province 1001-0001 - postal_code: POS-1001-0001 - notes: Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery. - is_active: true - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: de332cf9-fb56-594b-b876-d981f8246e6d - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{customer_number} - gsi_1_pk: string-{entity_number} - gsi_1_sk: string-{customer_name} - entity_number: string - customer_number: string - customer_name: string - phone: string - email: string - address_label: string - address_line_1: string - barangay: string - city: string - province: string - postal_code: string - notes: string - is_active: boolean - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "CUS-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "Juan Dela Cruz", "entity_number": "1001", "customer_number": "CUS-1001-0001", "customer_name": "Juan Dela Cruz", "phone": "+63 917 100 0001", "email": "bacolod-main-barista-grocery@example.com", "address_label": "Bacolod City, Negros Occidental", "address_line_1": "Bacolod City, Negros Occidental", "barangay": "Pandan Coconut Sea Salt Latte barangay 1001-0001", "city": "Pandan Coconut Sea Salt Latte city 1001-0001", "province": "Pandan Coconut Sea Salt Latte province 1001-0001", "postal_code": "POS-1001-0001", "notes": "Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "de332cf9-fb56-594b-b876-d981f8246e6d", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"CUS-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"Juan Dela Cruz\", \"entity_number\": \"1001\", \"customer_number\": \"CUS-1001-0001\", \"customer_name\": \"Juan Dela Cruz\", \"phone\": \"+63 917 100 0001\", \"email\": \"bacolod-main-barista-grocery@example.com\", \"address_label\": \"Bacolod City, Negros Occidental\", \"address_line_1\": \"Bacolod City, Negros Occidental\", \"barangay\": \"Pandan Coconut Sea Salt Latte barangay 1001-0001\", \"city\": \"Pandan Coconut Sea Salt Latte city 1001-0001\", \"province\": \"Pandan Coconut Sea Salt Latte province 1001-0001\", \"postal_code\": \"POS-1001-0001\", \"notes\": \"Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.\", \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"de332cf9-fb56-594b-b876-d981f8246e6d\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "CUS-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "Juan Dela Cruz", "entity_number": "1001", "customer_number": "CUS-1001-0001", "customer_name": "Juan Dela Cruz", "phone": "+63 917 100 0001", "email": "bacolod-main-barista-grocery@example.com", "address_label": "Bacolod City, Negros Occidental", "address_line_1": "Bacolod City, Negros Occidental", "barangay": "Pandan Coconut Sea Salt Latte barangay 1001-0001", "city": "Pandan Coconut Sea Salt Latte city 1001-0001", "province": "Pandan Coconut Sea Salt Latte province 1001-0001", "postal_code": "POS-1001-0001", "notes": "Barista grocery sample note for Pandan Coconut Sea Salt Latte at Bacolod Main Barista Grocery.", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "de332cf9-fb56-594b-b876-d981f8246e6d", "schema_version": 1001, "version": 1001}'